org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacetcatalog

## Interface EfacetcatalogFactory

Deprecated.

    @Deprecated
    public interface EfacetcatalogFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `EfacetcatalogPackage`
Generated:

### Field Summary

Fields
`static EfacetcatalogFactory` `eINSTANCE` Deprecated. The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`FacetSetCatalog` `createFacetSetCatalog()` Deprecated. Returns a new object of class 'Facet Set Catalog'.
`EfacetcatalogPackage` `getEfacetcatalogPackage()` Deprecated. Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final EfacetcatalogFactory eINSTANCE

Deprecated.
The singleton instance of the factory.

Generated:

### Method Detail

#### createFacetSetCatalog

    FacetSetCatalog createFacetSetCatalog()

Deprecated.
Returns a new object of class 'Facet Set Catalog'.

Returns:
  a new object of class 'Facet Set Catalog'.
Generated:

#### getEfacetcatalogPackage

    EfacetcatalogPackage getEfacetcatalogPackage()

Deprecated.
Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: